vmtkslicer module is not recognized

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

vmtkslicer module is not recognized

Gary Doctors
Dear slicer users,
There are many versions of Slicer 3.5.  I downloaded and installed the
snapshot version Slicer3-3.5-alpha-2009-11-01-linux-x86_64.tar.gz.  I
still had exactly the same problem.  When I do the tutorial
VMTKLevelSetSegmentation AneurysmTutorial, at the vessel enhancement stage
near the beginning, it gives me the message "Please install vmtk slicer
module."  I'm getting rather frustrated with this.

Is there a particular version of Slicer 3.5 I should have used?  It isn't
a stable release yet.

Thank you,
Gary Doctors

_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
Reply | Threaded
Open this post in threaded view
|

Re: vmtkslicer module is not recognized

Kikinis, Ron,M.D.
Hi,

attached screenshot shows how the extension manager looks like after the
   vmtk slicer module has been installed. This specific screenshot was
obtained with the nightly build slicer x86 darwin 12-21. Do you see the
same?

Ron

Gary Doctors wrote:

> Dear slicer users,
> There are many versions of Slicer 3.5.  I downloaded and installed the
> snapshot version Slicer3-3.5-alpha-2009-11-01-linux-x86_64.tar.gz.  I
> still had exactly the same problem.  When I do the tutorial
> VMTKLevelSetSegmentation AneurysmTutorial, at the vessel enhancement stage
> near the beginning, it gives me the message "Please install vmtk slicer
> module."  I'm getting rather frustrated with this.
>
> Is there a particular version of Slicer 3.5 I should have used?  It isn't
> a stable release yet.
>
> Thank you,
> Gary Doctors
>
> _______________________________________________
> slicer-users mailing list
> [hidden email]
> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
> To unsubscribe: send email to [hidden email] with unsubscribe as the subject
--
Ron Kikinis, M.D.,
Professor of Radiology, Harvard Medical School
Director, Surgical Planning Laboratory
http://www.spl.harvard.edu/~kikinis

_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject

Screen shot 2009-12-22 at 7.28.51 AM.png (192K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: vmtkslicer module is not recognized

Daniel Haehn
In reply to this post by Gary Doctors
Hi Gary,

sorry for the version struggle, but you do have to download a compiled
nightly build (best would be a version later than 12/8/2009) and then
use the extension wizard to install VMTK in 3D Slicer.

Bye,
Daniel

On Tue, 2009-12-22 at 11:47 +0000, Gary Doctors wrote:

> Dear slicer users,
> There are many versions of Slicer 3.5.  I downloaded and installed the
> snapshot version Slicer3-3.5-alpha-2009-11-01-linux-x86_64.tar.gz.  I
> still had exactly the same problem.  When I do the tutorial
> VMTKLevelSetSegmentation AneurysmTutorial, at the vessel enhancement stage
> near the beginning, it gives me the message "Please install vmtk slicer
> module."  I'm getting rather frustrated with this.
>
> Is there a particular version of Slicer 3.5 I should have used?  It isn't
> a stable release yet.
>
> Thank you,
> Gary Doctors
>
> _______________________________________________
> slicer-users mailing list
> [hidden email]
> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
> To unsubscribe: send email to [hidden email] with unsubscribe as the subject

_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
Reply | Threaded
Open this post in threaded view
|

Re: vmtkslicer module is not recognized

Gary Doctors
In reply to this post by Kikinis, Ron,M.D.

Dear Prof. Kikinis,
After removing my previous version of Slicer, I downloaded
Slicer3-3.5-alpha-2009-12-21-linux-x86_64 and extracted the files.  I ran
slicer as usual.
After Installing the vmtk module, the vmtk module had a blue star next to
it, but none of the others did.  I have attached a screenshot.

In the directory Slicer3gary, I have the following files:
11150                                 ModuleCache.csv
ABC.s3ext                             N3MRILightCLI.s3ext
BubbleMaker.s3ext                     plastimatch-slicer.s3ext
EMFiberClusteringModule.s3ext         PythonSampleScriptedModule.s3ext
ExampleCommandLine.s3ext              RegionSelector.s3ext
ExampleLoadableGuiLessModule.s3ext    SkullStripperModule.s3ext
ExampleLoadableModule.s3ext           TclSampleScriptedModule.s3ext
FourDAnalysis.s3ext                   tstCache.txt
FuzzySegmentationModule.s3ext         VMTKCenterlines.s3ext
LabelDiameterEstimation.s3ext         VMTKEasyLevelSetSegmentation.s3ext
LesionSegmentationApplications.s3ext  VMTKLevelSetSegmentation.s3ext
LevelSetStepping.s3ext                VmtkSlicerModule.s3ext
localRegionSeg.s3ext                
VmtkSlicerModule-svn97-2009-12-20-linux-x86_64.zip
manifest.html                         VMTKVesselEnhancement.s3ext
MeningiomaSegmentation.s3ext

Gary

On Tue, December 22, 2009 12:37, Ron Kikinis wrote:

> Hi,
>
>
> attached screenshot shows how the extension manager looks like after the
> vmtk slicer module has been installed. This specific screenshot was
> obtained with the nightly build slicer x86 darwin 12-21. Do you see the
> same?
>
> Ron
>
>
> Gary Doctors wrote:
>
>> Dear slicer users,
>> There are many versions of Slicer 3.5.  I downloaded and installed the
>> snapshot version Slicer3-3.5-alpha-2009-11-01-linux-x86_64.tar.gz.  I
>> still had exactly the same problem.  When I do the tutorial
>> VMTKLevelSetSegmentation AneurysmTutorial, at the vessel enhancement
>> stage near the beginning, it gives me the message "Please install vmtk
>> slicer module."  I'm getting rather frustrated with this.
>>
>> Is there a particular version of Slicer 3.5 I should have used?  It
>> isn't a stable release yet.
>>
>> Thank you,
>> Gary Doctors
>>
>>
>> _______________________________________________
>> slicer-users mailing list [hidden email]
>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>> To unsubscribe: send email to
>> [hidden email] with unsubscribe as the
>> subject
>
> --
> Ron Kikinis, M.D.,
> Professor of Radiology, Harvard Medical School
> Director, Surgical Planning Laboratory
> http://www.spl.harvard.edu/~kikinis
>
>
_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject

Screenshot.png (157K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: vmtkslicer module is not recognized

Daniel Haehn
Hi Gary,

this already looks good! Please list the contents of Slicer3gary/11150/.

Did you also install the VMTK* extensions? The VmtkSlicerModule provides
the libraries and the VMTK* extensions are the frontends for individual
VMTK functionality.

Bye,
Daniel

On Tue, 2009-12-22 at 15:17 +0000, Gary Doctors wrote:

> Dear Prof. Kikinis,
> After removing my previous version of Slicer, I downloaded
> Slicer3-3.5-alpha-2009-12-21-linux-x86_64 and extracted the files.  I ran
> slicer as usual.
> After Installing the vmtk module, the vmtk module had a blue star next to
> it, but none of the others did.  I have attached a screenshot.
>
> In the directory Slicer3gary, I have the following files:
> 11150                                 ModuleCache.csv
> ABC.s3ext                             N3MRILightCLI.s3ext
> BubbleMaker.s3ext                     plastimatch-slicer.s3ext
> EMFiberClusteringModule.s3ext         PythonSampleScriptedModule.s3ext
> ExampleCommandLine.s3ext              RegionSelector.s3ext
> ExampleLoadableGuiLessModule.s3ext    SkullStripperModule.s3ext
> ExampleLoadableModule.s3ext           TclSampleScriptedModule.s3ext
> FourDAnalysis.s3ext                   tstCache.txt
> FuzzySegmentationModule.s3ext         VMTKCenterlines.s3ext
> LabelDiameterEstimation.s3ext         VMTKEasyLevelSetSegmentation.s3ext
> LesionSegmentationApplications.s3ext  VMTKLevelSetSegmentation.s3ext
> LevelSetStepping.s3ext                VmtkSlicerModule.s3ext
> localRegionSeg.s3ext                
> VmtkSlicerModule-svn97-2009-12-20-linux-x86_64.zip
> manifest.html                         VMTKVesselEnhancement.s3ext
> MeningiomaSegmentation.s3ext
>
> Gary
>
> On Tue, December 22, 2009 12:37, Ron Kikinis wrote:
> > Hi,
> >
> >
> > attached screenshot shows how the extension manager looks like after the
> > vmtk slicer module has been installed. This specific screenshot was
> > obtained with the nightly build slicer x86 darwin 12-21. Do you see the
> > same?
> >
> > Ron
> >
> >
> > Gary Doctors wrote:
> >
> >> Dear slicer users,
> >> There are many versions of Slicer 3.5.  I downloaded and installed the
> >> snapshot version Slicer3-3.5-alpha-2009-11-01-linux-x86_64.tar.gz.  I
> >> still had exactly the same problem.  When I do the tutorial
> >> VMTKLevelSetSegmentation AneurysmTutorial, at the vessel enhancement
> >> stage near the beginning, it gives me the message "Please install vmtk
> >> slicer module."  I'm getting rather frustrated with this.
> >>
> >> Is there a particular version of Slicer 3.5 I should have used?  It
> >> isn't a stable release yet.
> >>
> >> Thank you,
> >> Gary Doctors
> >>
> >>
> >> _______________________________________________
> >> slicer-users mailing list [hidden email]
> >> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
> >> To unsubscribe: send email to
> >> [hidden email] with unsubscribe as the
> >> subject
> >
> > --
> > Ron Kikinis, M.D.,
> > Professor of Radiology, Harvard Medical School
> > Director, Surgical Planning Laboratory
> > http://www.spl.harvard.edu/~kikinis
> >
> >
> _______________________________________________ slicer-users mailing list [hidden email] http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users To unsubscribe: send email to [hidden email] with unsubscribe as the subject

_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
Reply | Threaded
Open this post in threaded view
|

Re: vmtkslicer module is not recognized

Gary Doctors
Hi,
I haven't been able to try this today.  I will be able to have a look in
the new year.

Thank you for all your help, particularly as it's close to Christmas.

Have a Merry Christmas.
Gary

On Tue, December 22, 2009 21:03, Daniel Haehn wrote:

> Hi Gary,
>
>
> this already looks good! Please list the contents of Slicer3gary/11150/.
>
> Did you also install the VMTK* extensions? The VmtkSlicerModule provides
> the libraries and the VMTK* extensions are the frontends for individual
> VMTK functionality.
>
>
> Bye,
> Daniel
>
>
> On Tue, 2009-12-22 at 15:17 +0000, Gary Doctors wrote:
>
>> Dear Prof. Kikinis,
>> After removing my previous version of Slicer, I downloaded
>> Slicer3-3.5-alpha-2009-12-21-linux-x86_64 and extracted the files.  I
>> ran slicer as usual. After Installing the vmtk module, the vmtk module
>> had a blue star next to it, but none of the others did.  I have attached
>> a screenshot.
>>
>> In the directory Slicer3gary, I have the following files:
>> 11150                                 ModuleCache.csv
>> ABC.s3ext                             N3MRILightCLI.s3ext
>> BubbleMaker.s3ext                     plastimatch-slicer.s3ext
>> EMFiberClusteringModule.s3ext         PythonSampleScriptedModule.s3ext
>> ExampleCommandLine.s3ext              RegionSelector.s3ext
>> ExampleLoadableGuiLessModule.s3ext    SkullStripperModule.s3ext
>> ExampleLoadableModule.s3ext           TclSampleScriptedModule.s3ext
>> FourDAnalysis.s3ext                   tstCache.txt
>> FuzzySegmentationModule.s3ext         VMTKCenterlines.s3ext
>> LabelDiameterEstimation.s3ext         VMTKEasyLevelSetSegmentation.s3ext
>>  LesionSegmentationApplications.s3ext  VMTKLevelSetSegmentation.s3ext
>> LevelSetStepping.s3ext                VmtkSlicerModule.s3ext
>> localRegionSeg.s3ext VmtkSlicerModule-svn97-2009-12-20-linux-x86_64.zip
>> manifest.html                         VMTKVesselEnhancement.s3ext
>> MeningiomaSegmentation.s3ext
>>
>>
>> Gary
>>
>>
>> On Tue, December 22, 2009 12:37, Ron Kikinis wrote:
>>
>>> Hi,
>>>
>>>
>>>
>>> attached screenshot shows how the extension manager looks like after
>>> the vmtk slicer module has been installed. This specific screenshot
>>> was obtained with the nightly build slicer x86 darwin 12-21. Do you
>>> see the same?
>>>
>>> Ron
>>>
>>>
>>>
>>> Gary Doctors wrote:
>>>
>>>
>>>> Dear slicer users,
>>>> There are many versions of Slicer 3.5.  I downloaded and installed
>>>> the snapshot version
>>>> Slicer3-3.5-alpha-2009-11-01-linux-x86_64.tar.gz.  I
>>>> still had exactly the same problem.  When I do the tutorial
>>>> VMTKLevelSetSegmentation AneurysmTutorial, at the vessel
>>>> enhancement stage near the beginning, it gives me the message
>>>> "Please install vmtk
>>>> slicer module."  I'm getting rather frustrated with this.
>>>>
>>>> Is there a particular version of Slicer 3.5 I should have used?  It
>>>>  isn't a stable release yet.
>>>>
>>>> Thank you,
>>>> Gary Doctors
>>>>
>>>>
>>>>
>>>> _______________________________________________
>>>> slicer-users mailing list [hidden email]
>>>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
>>>> To unsubscribe: send email to
>>>> [hidden email] with unsubscribe as
>>>> the subject
>>>
>>> --
>>> Ron Kikinis, M.D.,
>>> Professor of Radiology, Harvard Medical School
>>> Director, Surgical Planning Laboratory
>>> http://www.spl.harvard.edu/~kikinis
>>>
>>>
>>>
>> _______________________________________________ slicer-users mailing
>> list [hidden email]
>> http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users To
>> unsubscribe: send email to
>> [hidden email] with unsubscribe as the
>> subject
>
>

_______________________________________________
slicer-users mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-users
To unsubscribe: send email to [hidden email] with unsubscribe as the subject